Error updating Halion Sonic 3 - "Library manager privileged helper has wrong version"

MacOS Mojave here. I get “Steinberg library manager privileged helper has wrong version” when I try to update Halion Sonic to 3.4.

I tried to replace the Library Manager with previous versions as I read somewhere, but that doesn’t fix the problem.

Any ideas?